Page 2 of 4 FirstFirst 1234 LastLast
Results 11 to 20 of 32

Thread: Is Synaptic Available for v16.04 LTS?

  1. #11
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by deadflowr View Post
    I would think that would be a first step.
    If nothing comes of it, then we'll look at other things...

    Output from terminal;

    Code:
    5723:~$ sudo rm /etc/apt/apt.conf
    [sudo] password for 5723: 
    rm: cannot remove '/etc/apt/apt.conf': No such file or directory
    5723:~$

    Also Jeremy in answer to your question; output is ...

    Code:
    5723:~$ ls /usr/lib/nvidia-375
    alt_ld.so.conf                 libnvidia-cfg.so.375.66
    bin                            libnvidia-compiler.so
    ld.so.conf                     libnvidia-compiler.so.1
    libEGL_nvidia.so.0             libnvidia-compiler.so.375.66
    libEGL_nvidia.so.375.66        libnvidia-eglcore.so.375.66
    libEGL.so                      libnvidia-egl-wayland.so.375.66
    libEGL.so.1                    libnvidia-encode.so
    libEGL.so.375.66               libnvidia-encode.so.1
    libGLdispatch.so.0             libnvidia-encode.so.375.66
    libGLESv1_CM_nvidia.so.1       libnvidia-fatbinaryloader.so.375.66
    libGLESv1_CM_nvidia.so.375.66  libnvidia-fbc.so
    libGLESv1_CM.so                libnvidia-fbc.so.1
    libGLESv1_CM.so.1              libnvidia-fbc.so.375.66
    libGLESv2_nvidia.so.2          libnvidia-glcore.so.375.66
    libGLESv2_nvidia.so.375.66     libnvidia-glsi.so.375.66
    libGLESv2.so                   libnvidia-ifr.so
    libGLESv2.so.2                 libnvidia-ifr.so.1
    libGL.so                       libnvidia-ifr.so.375.66
    libGL.so.1                     libnvidia-ml.so
    libGL.so.1.0.0                 libnvidia-ml.so.1
    libGLX_indirect.so.0           libnvidia-ml.so.375.66
    libGLX_nvidia.so.0             libnvidia-ptxjitcompiler.so.375.66
    libGLX_nvidia.so.375.66        libnvidia-tls.so.375.66
    libGLX.so                      libnvidia-wfb.so.1
    libGLX.so.0                    libnvidia-wfb.so.375.66
    libnvcuvid.so                  libOpenGL.so
    libnvcuvid.so.1                libOpenGL.so.0
    libnvcuvid.so.375.66           tls
    libnvidia-cfg.so               vdpau
    libnvidia-cfg.so.1             xorg

    Does all this look OK? See output bottom of page 1 for "sources.list'.
    Last edited by deadflowr; July 16th, 2017 at 04:05 AM. Reason: fixed code tag

  2. #12
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    12,274
    Distro
    Ubuntu

    Re: Is Synaptic Available for v16.04 LTS?

    Other things to check would be the synaptic.conf file
    Unfortunately it's a root file,
    (Being the rare root-actual file inside root's home folder at /root/.synaptic/synaptic.conf.
    The unfortunate part being to see and read the file you need to sudo)

    Look at what
    Code:
    sudo cat /root/.synaptic/synaptic.conf
    shows.

    Yet another reference to the issue:
    http://forums.debian.net/viewtopic.p...126806#p605825

    If that's not it, then we'll look again at something else.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  3. #13
    Join Date
    Dec 2007
    Beans
    12,533

    Re: Is Synaptic Available for v16.04 LTS?

    Let's check
    Code:
    lsb_release -a
    Code:
    cat /etc/*-release
    Code:
    cat /var/log/installer/media-info
    and
    Code:
    cat /etc/debian_version
    as well.

  4. #14
    Join Date
    May 2014
    Location
    /home
    Beans
    9,505
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Is Synaptic Available for v16.04 LTS?

    Try
    Code:
    sudo mv /usr/lib/nvidia-375/libEGL.so.1 /usr/lib/nvidia-375/libEGL.so.1.org
    sudo mv /usr/lib32/nvidia-375/libEGL.so.1 /usr/lib32/nvidia-375/libEGL.so.1.org
    sudo ln -s /usr/lib/nvidia-375/libEGL.so.375.66 /usr/lib/nvidia-375/libEGL.so.1
    sudo ln -s /usr/lib32/nvidia-375/libEGL.so.375.66 /usr/lib32/nvidia-375/libEGL.so.1
    Then see if you can install synaptic. Similar issues have been reported as bugs https://bugs.launchpad.net/ubuntu/+s...5/+bug/1662860

  5. #15
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by jeremy31 View Post
    Try
    Code:
    sudo mv /usr/lib/nvidia-375/libEGL.so.1 /usr/lib/nvidia-375/libEGL.so.1.org
    sudo mv /usr/lib32/nvidia-375/libEGL.so.1 /usr/lib32/nvidia-375/libEGL.so.1.org
    sudo ln -s /usr/lib/nvidia-375/libEGL.so.375.66 /usr/lib/nvidia-375/libEGL.so.1
    sudo ln -s /usr/lib32/nvidia-375/libEGL.so.375.66 /usr/lib32/nvidia-375/libEGL.so.1
    Then see if you can install synaptic. Similar issues have been reported as bugs https://bugs.launchpad.net/ubuntu/+s...5/+bug/1662860
    Jeremy ... Thanks, but I hesitate doing that because of Post #23 at your Link.https://bugs.launchpad.net/ubuntu/+s...60/comments/23 Mainly;
    The proper solution would be to not install libEGL.so.375.39, as it is the deprecated non-GLVND implementation. The workaround is therefore to delete
    rm /usr/{lib,lib32}/nvidia-375/libEGL.so.375.39

    Note: in Software & Updates / Additional Drivers / it shows using Nvidia v 375.66 !!!
    Last edited by Rick St. George; July 16th, 2017 at 03:34 PM.

  6. #16
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    As to DeadFlower's Requested Output;

    Code:
    5723:~$ sudo cat /root/.synaptic/synaptic.conf
    Synaptic::ViewMode "3";
    Synaptic::showWelcomeDialog "0";
    Synaptic::closeZvt "true";
    Synaptic::vpanedPos "248";
    Synaptic::hpanedPos "203";
    Synaptic::windowWidth "1179";
    Synaptic::windowHeight "726";
    Synaptic::windowX "1636";
    Synaptic::windowY "200";
    Synaptic::ToolbarState "2";
    Synaptic::Maximized "0";
    Synaptic::Install-Recommends "1";
    Synaptic::update "";
    Synaptic::update::last "1461692397";
    Synaptic::update::type "0";
    Synaptic::LastSearchType "1";
    Synaptic::ShowAllPkgInfoInMain "false";
    Synaptic::AskRelated "true";
    Synaptic::OneClickOnStatusActions "false";
    Synaptic::delAction "3";
    Synaptic::upgradeType "1";
    Synaptic::undoStackSize "20";
    Synaptic::UseTerminal "false";
    Synaptic::AskQuitOnProceed "false";
    Synaptic::useUserFont "0";
    Synaptic::useUserTerminalFont "0";
    Synaptic::statusColumnPos "0";
    Synaptic::statusColumnVisible "1";
    Synaptic::supportedColumnPos "1";
    Synaptic::supportedColumnVisible "1";
    Synaptic::nameColumnPos "2";
    Synaptic::nameColumnVisible "1";
    Synaptic::sectionColumnPos "3";
    Synaptic::sectionColumnVisible "0";
    Synaptic::componentColumnPos "4";
    Synaptic::componentColumnVisible "0";
    Synaptic::instVerColumnPos "5";
    Synaptic::instVerColumnVisible "1";
    Synaptic::availVerColumnPos "6";
    Synaptic::availVerColumnVisible "1";
    Synaptic::instSizeColumnPos "7";
    Synaptic::instSizeColumnVisible "1";
    Synaptic::downloadSizeColumnPos "8";
    Synaptic::downloadSizeColumnVisible "0";
    Synaptic::descrColumnPos "9";
    Synaptic::descrColumnVisible "1";
    Synaptic::color-install "#8A8AE2E23434";
    Synaptic::color-reinstall "#4E4E9A9A0606";
    Synaptic::color-upgrade "#FCFCE9E94F4F";
    Synaptic::color-downgrade "#ADAD7F7FA8A8";
    Synaptic::color-remove "#EFEF29292929";
    Synaptic::color-purge "#A4A400000000";
    Synaptic::color-available "";
    Synaptic::color-available-locked "#A4A400000000";
    Synaptic::color-installed-updated "";
    Synaptic::color-installed-outdated "";
    Synaptic::color-installed-locked "#A4A400000000";
    Synaptic::color-broken "";
    Synaptic::color-new "";
    Synaptic::UseStatusColors "true";
    Synaptic::CleanCache "true";
    Synaptic::AutoCleanCache "false";
    Synaptic::delHistory "-1";
    Synaptic::useProxy "0";
    Synaptic::httpProxy "";
    Synaptic::httpProxyPort "3128";
    Synaptic::ftpProxy "";
    Synaptic::ftpProxyPort "3128";
    Synaptic::noProxy "";
    Synaptic::DefaultDistro "trusty";

    Quote Originally Posted by vasa1 View Post
    Let's check
    Code:
    lsb_release -a
    OUTPUT:

    Code:
    5723:~$ lsb_release -a
    No LSB modules are available.
    Distributor ID:    Ubuntu
    Description:    Ubuntu 16.04.2 LTS
    Release:    16.04
    Codename:    xenial
    Code:
    cat /etc/*-release
    OUTPUT:
    Code:
    -5723:~$ cat /etc/*-release
    DISTRIB_ID=Ubuntu
    DISTRIB_RELEASE=16.04
    DISTRIB_CODENAME=xenial
    DISTRIB_DESCRIPTION="Ubuntu 16.04.2 LTS"
    NAME="Ubuntu"
    VERSION="16.04.2 LTS (Xenial Xerus)"
    ID=ubuntu
    ID_LIKE=debian
    PRETTY_NAME="Ubuntu 16.04.2 LTS"
    VERSION_ID="16.04"
    HOME_URL="http://www.ubuntu.com/"
    SUPPORT_URL="http://help.ubuntu.com/"
    BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
    VERSION_CODENAME=xenial
    UBUNTU_CODENAME=xenial
    Code:
    cat /var/log/installer/media-info
    OUTPUT:
    Code:
    5723:~$ cat /var/log/installer/media-info
    Ubuntu-Studio 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.1)
    and
    Code:
    cat /etc/debian_version
    OUTPUT:
    Code:
    5723:~$ cat /etc/debian_version
    stretch/sid

    Does this help understand the problem ??? I think I see a problem above under "LSB_release" - it reports No LSB modules are available; and under "installer/media-info" reporting v. 14.04 ?!?

    Yes? No? Hhmmm?!?!
    Last edited by Rick St. George; July 16th, 2017 at 03:21 PM.

  7. #17
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: Is Synaptic Available for v16.04 LTS?

    So I'm guessing here you upgraded from 14.04 to 16.04 then?
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags

  8. #18
    Join Date
    Jun 2007
    Beans
    17,337

    Re: Is Synaptic Available for v16.04 LTS?

    Maybe see what's in this file
    Code:
    sudo cat /root/.synaptic/synaptic.conf
    Your issue with synaptic & the ldconfig stuff on nvidia-375 aren't related. At least here the nvidia thing is of no consequence at all..

  9. #19
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by 1fallen View Post
    So I'm guessing here you upgraded from 14.04 to 16.04 then?
    CORRECT a while back. Not a fresh install. I let Software Updates handle upgrding to next LTS.

  10. #20
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by mc4man View Post
    Maybe see what's in this file
    Code:
    sudo cat /root/.synaptic/synaptic.conf
    Your issue with synaptic & the ldconfig stuff on nvidia-375 aren't related. At least here the nvidia thing is of no consequence at all..
    See First Output on Post #16 above, in request from "DeadFlowr".
    Thanks!

Page 2 of 4 FirstFirst 1234 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •